Skip to main content
PATCH
/
organization
/
createAddress
/
{organizationId}
Create business address
curl --request PATCH \
  --url https://gateway.varchev.com/customer/organization/createAddress/{organizationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
[
  {
    "addressPurpose": "<string>",
    "address": {
      "country": "<string>",
      "area": "<string>",
      "zipCode": "<string>",
      "city": "<string>",
      "street": "<string>",
      "streetNumber": [
        "<string>"
      ],
      "building": "<string>",
      "apartment": "<string>",
      "entrance": "<string>",
      "floor": "<string>",
      "doorNumber": "<string>",
      "geoPosition": {
        "latitude": 123,
        "longitude": 123,
        "altitude": 123
      },
      "alternative": {
        "word1": "<string>",
        "word2": "<string>",
        "word3": "<string>"
      },
      "relatedToAddress": [
        {
          "relationType": "near_by",
          "address": "<string>"
        }
      ],
      "additionalData": [
        {
          "name": "<string>",
          "type": "Number",
          "value": "<string>"
        }
      ]
    }
  }
]
'
{
  "tenantId": "<string>",
  "organizationId": "<string>",
  "addressIds": [
    {
      "addressId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Tenant/Owner id

Path Parameters

organizationId
string
required

Organization id

Body

application/json
addressPurpose
string
address
object

Response

Create organization document response

tenantId
string
organizationId
string
addressIds
object[]